kdecore Library: KNetwork::KMulticastSocketImpl Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNetwork::KMulticastSocketImpl Class Reference

The low-level backend for multicasting sockets. More...

`#include <kmulticastsocketdevice.h>`

Inheritance diagram for KNetwork::KMulticastSocketImpl:

[legend]
Collaboration diagram for KNetwork::KMulticastSocketImpl:

[legend]
List of all members.

## Public Member Functions
| KMulticastSocketImpl (const KSocketBase *=0L)
virtual | ~KMulticastSocketImpl ()
virtual int | capabilities () const
virtual bool | create (int family, int type, int protocol)
virtual bool | connect (const KResolverEntry &address)
virtual int | timeToLive () const
virtual bool | setTimeToLive (int ttl)
virtual bool | multicastLoop () const
virtual bool | setMulticastLoop (bool enable)
virtual KNetworkInterface | networkInterface ()
virtual bool | setNetworkInterface (const KNetworkInterface &iface)
virtual bool | joinGroup (const KSocketAddress &group)
virtual bool | joinGroup (const KSocketAddress &group, const KNetworkInterface &iface)
virtual bool | leaveGroup (const KSocketAddress &group)
virtual bool | leaveGroup (const KSocketAddress &group, const KNetworkInterface &iface)

## Detailed Description

The low-level backend for multicasting sockets.

This class is an interface providing methods for handling multicast operations.

Author:
  Thiago Macieira <thiago.macieira@kdemail.net>

Definition at line 45 of file kmulticastsocketdevice.h.

## Constructor & Destructor Documentation

KNetwork::KMulticastSocketImpl::KMulticastSocketImpl | ( | const KSocketBase * | = `0L` | ) |

| Constructor.

virtual KNetwork::KMulticastSocketImpl::~KMulticastSocketImpl | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual int KNetwork::KMulticastSocketImpl::capabilities | ( |  | ) | const`[virtual]`

| Sets our capabilities. Reimplemented from KNetwork::KSocketDevice.

virtual bool KNetwork::KMulticastSocketImpl::create | ( | int | family,
|  | int | type,
|  | int | protocol
| ) | `[virtual]`

| Overrides the socket creation. Reimplemented from KNetwork::KSocketDevice.

virtual bool KNetwork::KMulticastSocketImpl::connect | ( | const KResolverEntry & | address | ) | `[virtual]`

| Overrides connection. Multicast sockets may not connect. Reimplemented from KNetwork::KSocketDevice.

virtual int KNetwork::KMulticastSocketImpl::timeToLive | ( |  | ) | const`[virtual]`

| Retrieves the time-to-live/hop count value on multicast packets being sent.

virtual bool KNetwork::KMulticastSocketImpl::setTimeToLive | ( | int | ttl | ) | `[virtual]`

  | Sets the time-to-live/hop count for outgoing multicast packets. Parameters:
  | ttl | the hop count, from 0 to 255
Returns: true if setting the value was successful.

virtual bool KNetwork::KMulticastSocketImpl::multicastLoop | ( |  | ) | const`[virtual]`

| Retrieves the flag indicating if sent packets will be echoed back to sender.

virtual bool KNetwork::KMulticastSocketImpl::setMulticastLoop | ( | bool | enable | ) | `[virtual]`

  | Sets the flag indicating the loopback of packets to the sender. Parameters:
  | enable | if true, will echo back
Returns: true if setting the value was successful.

virtual KNetworkInterface KNetwork::KMulticastSocketImpl::networkInterface | ( |  | ) | `[virtual]`

| Retrieves the network interface this socket is associated to.

virtual bool KNetwork::KMulticastSocketImpl::setNetworkInterface | ( | const KNetworkInterface & | iface | ) | `[virtual]`

  | Sets the network interface on which this socket should work. Parameters:
  | iface | the interface to associate with
Returns: true if setting the value was successful.

virtual bool KNetwork::KMulticastSocketImpl::joinGroup | ( | const KSocketAddress & | group | ) | `[virtual]`

  | Joins a multicast group. The group to be joined is identified by the `group` parameter. Parameters:
  | group | the multicast group to join
Returns: true on success

virtual bool KNetwork::KMulticastSocketImpl::joinGroup | ( | const KSocketAddress & | group,
|  | const KNetworkInterface & | iface
| ) | `[virtual]`

| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Joins a multicast group. This function also specifies the network interface to be used.

virtual bool KNetwork::KMulticastSocketImpl::leaveGroup | ( | const KSocketAddress & | group | ) | `[virtual]`

  | Leaves a multicast group. The group being left is given by its address in the `group` parameter. Parameters:
  | group | the group to leave
Returns: true on successful leaving the group

virtual bool KNetwork::KMulticastSocketImpl::leaveGroup | ( | const KSocketAddress & | group,
|  | const KNetworkInterface & | iface
| ) | `[virtual]`

| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Leaves a multicast group.

The documentation for this class was generated from the following file:

- kmulticastsocketdevice.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:19 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003